Author Topic: After fresh install getting: Strict Standards: Declaration of db::connect()...  (Read 9620 times)

Offline tito

  • User
  • *
  • Posts: 2
    • View Profile
I am getting the following error when I launch the knowledge root front and back end.

Strict Standards: Declaration of db::connect() should be compatible with that of db_core::connect() in C:\xampp\htdocs\knowledgeroot-1.0.2\include\class-mysql.php on line 160

Strict Standards: Declaration of db::query() should be compatible with that of db_core::query() in C:\xampp\htdocs\knowledgeroot-1.0.2\include\class-mysql.php on line 160

It is the same error as in "[SOLVED] Error after upgrade" that was posted June 09, 2011, 09:16:04 by Martin.  I did a fresh windows install of both xampp current version 1.7.7 and I used the current knowledgeroot version 1.0.2

My OS is Windows XP Professional service pack 3.

I would appreciate your suggestion.  Thanks in advance...



Offline admin

  • Administrator
  • User
  • *****
  • Posts: 694
    • View Profile
    • http://www.lordlamer.de
Hi,

as i posted in this thread. Try this:
Quote
For this: set "error_reporting = E_ALL & ~E_DEPRECATED" in your php.ini.

Hope that helps.

regards,
Frank

Offline tito

  • User
  • *
  • Posts: 2
    • View Profile
That fixed it!  Thank you.  Also, thanks for knowledgeroot it has helped me organize, store and retrieve technical information that I need to perform my job.  Keep up the great work.